<template>
  <div>
    <!-- Cuerpo -->
    <div class="padding-top">
      <el-header height="80px" style="margin: 0 12rem;">
        <el-col :span="24" class="text-end">
          <el-button v-on:click="returnButtonModal = true" class="bg-orange box-shadow text-white border-none subtitle-styles">
            <i class="el-icon-arrow-left" style="color: white; fontWeight: bold"></i>
            Regresar
          </el-button>

          <!-- Modal de btn de regresar  -->

          <!-- <el-dialog
            :visible.sync="returnButtonModal"
            width="40%"
            center
            :close-on-press-escape="false"
            :show-close="false"
            custom-class="dialog-orange">
            <el-row>
              <el-col :span="6" class="text-center"><img src="../../assets/images/suspicious.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p class="fonts-bold-general" style="margin-bottom: 0.5rem">¿Estás seguro?</p>
                <p style="line-height: 22px">Si sales del formulario, la información se perderá.</p>
                <div style="margin-top: 4rem">
                  <el-button @click="returnButtonModal = false" class="bg-orange text-white border-none">Seguir aquí</el-button>              
                  <el-button @click="returnButtonModal = false" v-on:click="viewListNovels" class="border-orange text-orange" style="margin-left: 3rem;">Aceptar</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog> -->

         <AppModalReturn :show-dialog.sync="returnButtonModal" v-if="returnButtonModal" v-on:btnEvent="returnButtonModal = false" v-on:eventBtn="returnButtonModal = false" @eventBtn="viewListNovels">
        </AppModalReturn>


        </el-col>
      </el-header>
      <el-main>
        <el-steps :active="3" style="margin: 1rem 8rem 6rem" align-center>
          <el-step title="DATOS" style="font-size: 1rem"></el-step>
          <el-step title="INFORMACIÓN ARTÍSTICA"></el-step>
          <el-step title="FICHA TÉCNICA "></el-step>
          <el-step title="OBSERVACIONES"></el-step>
        </el-steps>
        <!-- Paso 1: Datos -->
        <div v-if="this.active === 0" style="margin: 6rem 12rem">
          <!-- Revisado por -->
          <el-row style="margin: 0">
            <el-col :span="24" class="bg-gray" style="padding: 0.6rem 1rem">
                <h3>CAPITULO  {{ chapterInfoNov.chapter }}</h3>
            </el-col>
          </el-row>
          <h3 style="margin: 3rem 0">DATOS DEL CAPITULO</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="4" :offset="1"><p>Título del capitulo:</p></el-col>
            <el-col :span="8">
              <el-input v-model="chapterTitle" size="small"></el-input>
            </el-col>
            <el-col :span="4" :offset="1"><p>Duracion:</p></el-col>
            <el-col :span="4">
              <el-input v-model="duration" size="small"></el-input>
            </el-col>
          </el-row>
          <el-row style="margin: 3rem 0">
            <el-col :span="3" :offset="1">Artistas invitados</el-col>
            <el-col :span="8">
              <div v-for="(item, index) in arrGuestArtists" :key="index">
                <el-col :span="18"><el-input v-model="item.prodCompany" style="margin-bottom:0.5rem" size="small"></el-input></el-col>
                <el-col :span="3" class="text-end">
                  <i @click="addElement(index, 'prodCompany', 'arrGuestArtists')" class="el-icon-circle-plus text-orange" style="font-size:25px"></i>
                </el-col>
                <el-col :span="2" v-if="arrGuestArtists.length > 1" class="text-end">
                  <i @click="removeElement(index, 'arrGuestArtists')" class="el-icon-remove text-gray" style="font-size:25px"></i>
                  </el-col>
              </div>
            </el-col>
          </el-row> 
          <el-row style="margin: 0 0 1rem">
            <el-col :span="12">
              <p style="margin: 0 0 1rem 2.4rem">Sinopsis:</p>
              <div style="margin: 0 0 3rem 2.4rem">
                <el-input 
                type="textarea"
                :autosize="{ minRows: 6, maxRows: 8}"
                v-model="synopsis">
                </el-input>
              </div>
            </el-col>
            <el-col :span="10" :offset="1">
              <p style="margin: 0 0 1rem 2.4rem">Tema:</p>
              <div style="margin: 0 0 3rem 2.4rem">
                <el-input 
                type="textarea"
                :autosize="{ minRows: 6, maxRows: 8}"
                v-model="theme">
                </el-input>
              </div>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">INGRESO DEL MATERIAL</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :offset="1">
              <div >
                <span style="margin-right: 3.7rem;">Fecha de Llegada:</span>
                <el-date-picker
                  v-model="arrivalDate"
                  type="date"
                  format="dd/MM/yyyy"
                  size="small"
                  style="width: 18.5%">
                </el-date-picker>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :offset="1">
              <div>
                <span style="margin-right: 3.7rem;">Fecha de Copiado:</span>
                <el-date-picker
                  v-model="copyDate"
                  type="date"
                  format="dd/MM/yyyy"
                  size="small"
                  style="width: 18.5%">
                </el-date-picker>
              </div>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Modo de envio</el-col>
            <el-col :span="4">
              <el-select v-model="shippingMode" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsShipping"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Número de Guía</el-col>
            <el-col :span="4"><el-input v-model="guideNumber" :disabled="true" size="small"></el-input></el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Almacenamiento</el-col>
            <el-col :span="4">
              <el-select v-model="storageSelect" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsStorage"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">PANTALLA Y RESOLUCION</h3>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Pantalla</el-col>
            <el-col :span="4">
              <el-select v-model="screenSelect" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsScreen"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <el-row style="margin: 0 0 1rem">
            <el-col :span="5" :offset="1">Resolucion de Pantalla</el-col>
            <el-col :span="4">
              <el-select v-model="resolutionSelect" placeholder="Seleccionar" size="small">
                <el-option
                  v-for="classif in optionsResolution"
                  :key="classif"
                  :label="classif"
                  :value="classif">
                </el-option>
              </el-select>
            </el-col>
          </el-row>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">OBSERVACIONES DE CONTENIDO</h3>
          <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="videoObserve" >
                      <el-checkbox v-for="item in arrVideo" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepVideo" label="SÍ" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepVideo" label="NO" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="notes" size="small"></el-input></el-col>
                </el-row>
              </div>
          <hr class= "line-card">
          <h3 style="margin: 3rem 0">OBSERVACIONES TÉCNICAS</h3>
          <el-tabs type="card" style="margin-top: 3rem">
            <el-tab-pane label="Color">
              <span slot="label"><img src="../../assets/images/icono-color.svg" width="12%" alt="icono-color"> COLOR</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="colorObserve" @change="changeCheckbox(colorObserve, 'colorObserve', 'disabledColor', 'needRepColor')">
                      <el-checkbox v-for="item in arrColor" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepColor" label="SÍ" :disabled="disabledColor" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepColor" label="NO" :disabled="disabledColor" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherNote" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
            <el-tab-pane label="Audio">
              <span slot="label"><img src="../../assets/images/icono-audio.svg" width="12%" alt="icono-audio"> AUDIO</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="audioObserv" @change="changeCheckbox(audioObserv, 'audioObserv', 'disabledAudio', 'needRepAudio')">
                      <el-checkbox v-for="item in arrAudio" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepAudio" label="SÍ" :disabled="disabledAudio" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepAudio" label="NO" :disabled="disabledAudio" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherNoteAudio" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
            <el-tab-pane label="Video">
              <span slot="label"><img src="../../assets/images/icono-video.svg" width="12%" alt="icono-video"> VIDEO</span>
              <div style="margin:2rem 1rem">
                <el-row style="margin: 0 0 1rem">
                  <el-col :span="12" :offset="1">
                    <el-checkbox-group v-model="videoObserv" @change="changeCheckbox(videoObserv, 'videoObserv', 'disabledVideoOp', 'needRepVideoOp')">
                      <el-checkbox v-for="item in arrVideoOp" :key="item" :label="item" style="display:block; margin:0; padding:0.5rem 0"></el-checkbox>
                    </el-checkbox-group>
                  </el-col>
                  <el-col :span="6" :offset="1">
                    <div class="bg-gray" style="padding: 1rem">
                      <p class="fonts-bold-general" style="margin-bottom: 1rem">NECESITA REPOSICIÓN</p>
                      <el-radio v-model="needRepVideo" label="SÍ" :disabled="disabledVideo" style="display:block; margin:0">SÍ</el-radio>
                      <el-radio v-model="needRepVideo" label="NO" :disabled="disabledVideo" style="display:block; margin:0; padding:0.5rem 0">NO</el-radio>
                    </div>
                  </el-col>
                </el-row>
                <el-row style="margin: 0 0 3rem">
                  <el-col :span="2" :offset="1">Otro:</el-col>
                  <el-col :span="6"><el-input v-model="anotherVideoNoteString" size="small"></el-input></el-col>
                </el-row>
              </div>
            </el-tab-pane>
          </el-tabs>
          <hr class= "line-card">
          <h3 style="margin-bottom: 2rem">OBSERVACIONES ADICIONALES</h3>
          <div style="margin: 0 0 3rem 2.4rem">
            <el-input 
              type="textarea"
              :autosize="{ minRows: 6, maxRows: 8}"
              v-model="additionalRemarks">
            </el-input>
          </div>
        </div>
        
        <!-- Botón siguiente -->
        <div class="text-end" style="margin: 0 12rem">
          <el-button @click="saveChapter" class="bg-orange text-white border-none">
            GUARDAR
          </el-button>

          <!-- Modal Guardar verificar que coja las etiquetas strong-->

          <!-- <el-dialog
            :visible.sync="submitNewReviewModal"
            width="40%"
            center>
            <el-row>
              <el-col :span="6" class="text-center"><img src="../../assets/images/happy.svg" alt="emoticon"></el-col>
              <el-col :span="18">
                <p class="fonts-bold-general">¡Buen trabajo!</p>
                <p style="line-height: 40px;">El contrato con <strong>Nombre de proveedor</strong> ha sido ingresado. </p>
                <div style="margin-top: 3rem">
                  <el-button @click="submitNewReviewModal = false " class="border-orange text-orange">NUEVO</el-button>              
                  <el-button @click="submitNewReviewModal = false" v-on:click="viewListNovels" class="bg-orange text-white border-none" style="margin-left: 3rem;">CONTRATOS</el-button>
                </div>
              </el-col>
            </el-row>
          </el-dialog> -->


        <AppModalSuccess :show-dialog.sync="submitNewReviewModal" v-if="submitNewReviewModal"  
          :parrafo="'El contrato con <strong> Nombre de proveedor</strong> ha sido ingresado.'"
          btn1="NUEVO" btn2="CONTRATOS" v-on:btnEvent="submitNewReviewModal = false" v-on:eventBtn="submitNewReviewModal = false" @eventBtn="viewListNovels" >
        </AppModalSuccess>

        </div>
      </el-main>
    </div>
  </div>
</template>

<script>
// @ is an alias to /src

const videoOptions = ['Lenguaje inapropiado', 'Violencia fisica y/o psicologica', 'Desnudos y/o sexo', 'Alcohol y drogas', 'Muerte y crimenes'];
const colorOptions = ['OK', 'Setup Alto o Pedestal Alto (Lavado)', 'Desbalanceado (Fades Tend. Al Rojo)', 'Saturación de Croma (Rojos muy vivos)'];
const audioOptions = ['OK', 'Sin Audio', 'Volumen Bajo', 'Entrecortado', 'Saturado (Volumen muy alto)', 'CH1', 'CH2']
const videoOptionsArr = ['OK', 'Drops', 'Rayas', 'Pixeleado', 'Nivel Bajo de Video (Oscuro)']

import AppModalReturn from '@/components/AppModalReturn.vue'
import AppModalSuccess from '@/components/AppModalSuccess.vue'



export default {
  components: {
    AppModalReturn,
    AppModalSuccess
  },
  data () {
    return {
      returnButtonModal: false,
      submitNewReviewModal: false,
      active: 0,
      disabledVideoOp: true,
      originalTitle: '', //submit
      arrColor: colorOptions,
      arrivalDate: '',
      duration: '',
      anotherNoteAudio: '',
      additionalRemarks: '',
      colorObserve: [],
      videoObserv: [],
      needRepAudio: '',
      arrAudio: audioOptions,
      copyDate: '',
      disabledColor: true,
      shippingMode: '',
      optionsScreen: ['Full Screen'],
      arrGuestArtists: [{prodCompany: ''}],
      optionsStorage: ['Master'],
      optionsShipping: ['Thompson'],
      chapterTitle: '',
      audioObserv: [],
      disabledAudio: true,
      needRepColor: '',
      anotherNote: '',
      arrVideoOp: videoOptionsArr,
      theme: '',
      synopsis: '',
      needRepVideoOp: '',
      spanishTitle: '', //submit
      anotherVideoNoteString: '',
      resolutionSelect: '',
      screenSelect: '',
      optionsResolution: ['HD'],
      commercialTitle: '', //submit
      genre1: '', //submit
      genre2: '', //submit
      provider: '', //submit
      prodCompany: '', 
      arrProdCompany: [{prodCompany: ''}], //submit
      yearProduction: '', //submit
      classification: '', //submit
      schedule: '', //submit
      arrSchedule: ['Matinée', 'Todo horario', 'Nocturno', 'Estrictamente nocturno'],
      score: null, //submit
      emissionStatus: '', //submit
      synopsis: '', //submit
      voiceActors: '', //submit
      mainActors: '',
      arrMainActors:[], //submit
      storageSelect: '',
      guideNumber: '',
      mainActorsIndex: '',
      secondaryActors: '',
      arrSecondActors: [], //submit
      secondActorsIndex: '',
      notes: '',
      director: '',
      videoObserve: [],
      disabledVideo: true,
      arrDirector: [], //submit
      directorIndex: '',
      producer: '',
      arrProducer: [], //submit
      producerIndex: '',
      contador: 0, //submit
      arrMusicalThemes: [], //submit
      indexEdit: '',
      isVisible: true,
      needRepVideo: '', //Ok
      titleThemeSong: '',
      applyAllInterpreter: false,
      interpreter: '',
      interpreterName: '',
      arrVideo: videoOptions,
      arrIterpreters: [{name: ''}], 
      applyAllComposer: false,
      arrComposer: [{name: ''}], 
      materialNovel: {},
      chapterInfoNov: {}
    }
  },
  computed: {
    optionsGenre () {
      let dataTables = this.$store.state.tables;
      for (let i = 0; i < dataTables.length; i++) {
        if (dataTables[i].tableName === 'genre') {
          return dataTables[i].types
        }
      }
    },
    optionsClassif () {
      let dataTables = this.$store.state.tables;
      for (let i = 0; i < dataTables.length; i++) {
        if (dataTables[i].tableName === 'classification') {
          return dataTables[i].types
        }
      }
    }
  },
  created () {
    this.getTables()
    this.getMaterial()
  },
  methods: {
    getTables () {
      let dataType = 'tables';
      this.$store.dispatch("getData", dataType);
    },
    changeCheckbox (value, item, disabled, needEdit) {
      if (value.length > 0) {
        if (value.includes('OK')) {
          this[disabled] = true
          this[item] = ['OK']
          this[needEdit] = ''
        } else {
          this[disabled] = false
        }
      }
    },
    getMaterial() {
      let chapterInfoNov = JSON.parse(this.$localStorage.get('chapterInfoNov'));
      this.chapterInfoNov = chapterInfoNov;
    },
    submitNewReview () {
      console.log('Crea!')
    },
    viewListNovels() {
      this.$router.push({name: 'revNovel'})
    },
    addElement (index, el, arr) {
      this[arr].map((el, i, arr) => {
        if (i == index) {
          arr.splice(i + 1, 0, {[el]: ''});
        } 
      })
    },
    removeElement (index, arr) {
      this[arr].splice(index, 1);
    },
    back () {
      this.active--
    },
    saveChapter () {
      let chapterInfo = {
        number: this.chapterInfoNov.chapter,
        chapterTitle: this.chapterTitle,
        duration: this.duration,
        arrGuestArtists: this.arrGuestArtists,
        synopsis: this.synopsis,
        theme: this.theme,
        arrivalDate: this.arrivalDate,
        copyDate: this.copyDate,
        shippingMode: this.shippingMode,
        guideNumber: this.guideNumber,
        storageSelect: this.storageSelect,
        screenSelect: this.screenSelect,
        resolutionSelect: this.resolutionSelect,
        videoObserve: this.videoObserve,
        needRepVideo: this.needRepVideo,
        notes: this.notes,
        colorObserve: this.colorObserve,
        needRepColor: this.needRepColor,
        anotherNote: this.anotherNote,
        audioObserv: this.audioObserv,
        needRepAudio: this.needRepAudio,
        anotherNoteAudio: this.anotherNoteAudio,
        videoObserv: this.videoObserv,
        needRepVideo: this.needRepVideo,
        anotherVideoNoteString: this.anotherVideoNoteString,
        additionalRemarks: this.additionalRemarks
      }
      console.log(chapterInfo)
      // let newChapter = {
      //   chaptersReview:[
      //     {
      //       genre1: this.genre1,
      //       genre2: this.genre2,
      //       arrProdCompany: this.arrProdCompany,
      //       yearProduction: this.yearProduction,
      //       classification: this.classification,
      //       schedule: this.schedule,
      //       score: this.score,
      //       emissionStatus: this.emissionStatus,
      //       synopsis: this.synopsis,
      //       voiceActors: this.voiceActors,
      //       arrMainActors: this.arrMainActors,
      //       arrSecondActors: this.arrSecondActors,
      //       arrDirector: this.arrDirector,
      //       arrProducer: this.arrProducer,
      //       contador: this.contador,
      //       arrMusicalThemes: this.arrMusicalThemes,
      //       durWithCredits: this.durWithCredits,
      //       durWithoutCredits: this.durWithoutCredits, 
      //       screen: this.screen,
      //       screenResolution: this.screenResolution,
      //       // Observaciones de contenido
      //       observations: [
      //         {
      //           observations: "Observaciones de contenido",
      //           detail: this.contentObserv,
      //           anotherDetail: this.anotherContObserv,
      //           status: this.needEditContent,
      //         }, {
      //           observations: "Observaciones técnicas",
      //           detail: this.colorObserv,
      //           anotherDetail: this.anotherColor,
      //           status: this.needRepColor,
      //         }, {
      //           observations: "Observaciones técnicas",
      //           detail: this.audioObserv,
      //           anotherDetail: this.anotherAudio,
      //           status: this.needRepAudio,
      //         }, {
      //           observations: "Observaciones técnicas",
      //           detail: this.videoObserv,
      //           anotherDetail: this.anotherVideo,
      //           status: this.needRepVideo,
      //         }
      //       ],
      //       additionalRemarks: this.additionalRemarks,
      //     }
      //   ]
      // }
      this.$localStorage.set('reviewChapters', JSON.stringify(chapterInfo))
      this.$router.push({name: 'revNovel'})
    },
    addItem (el, index, arr) {
      if (this[index]) {
        this[arr].splice(this[index], 1, this[el])
        this[el] = ''
      } else {
        this[arr].unshift(this[el])
        this[el] = ''
      }

      this[index] = ''
    },
    EditItem (index, el, index2, arr) {
      this[el] = this[arr][index]
      this[index2] = index
      console.log(index)
    },
    removeItem (index, arr) {
      this[arr].splice(index, 1)
    },
    changeinterpreter (event) {
      if (event === "Dúo") {
        this.arrIterpreters = [{name: ''}, {name: ''}]
      } else {
      this.arrIterpreters = [{name: ''}]
      }
    },
    enterMusicalTheme () {
      this.contador++
      this.arrMusicalThemes.push({
        titleThemeSong: this.titleThemeSong,
        applyAllInterpreter: this.applyAllInterpreter, 
        interpreter: this.interpreter,
        interpreterName: this.interpreterName,
        arrIterpreters : this.arrIterpreters,
        applyAllComposer: this.applyAllComposer,
        arrComposer: this.arrComposer,
      })
      this.cleanInputsThemes()
    },
    replaceMusicalTheme () {
      this.arrMusicalThemes[this.indexEdit] = {
        titleThemeSong: this.titleThemeSong,
        applyAllInterpreter: this.applyAllInterpreter, 
        interpreter: this.interpreter,
        interpreterName: this.interpreterName,
        arrIterpreters : this.arrIterpreters,
        applyAllComposer: this.applyAllComposer,
        arrComposer: this.arrComposer,
      }
      this.cleanInputsThemes()
    },
    editMusicalTheme (index) {
      this.isVisible = false
      this.indexEdit = index
      this.titleThemeSong = this.arrMusicalThemes[index].titleThemeSong
      this.applyAllInterpreter = this.arrMusicalThemes[index].applyAllInterpreter
      this.interpreter = this.arrMusicalThemes[index].interpreter
      this.interpreterName = this.arrMusicalThemes[index].interpreterName
      this.arrIterpreters = this.arrMusicalThemes[index].arrIterpreters
      this.applyAllComposer = this.arrMusicalThemes[index].applyAllComposer
      this.arrComposer = this.arrMusicalThemes[index].arrComposer
    },
    removeMusicalTheme (index) {
      this.contador--
      this.arrMusicalThemes.splice(index, 1)
      this.cleanInputsThemes()
    },
    cleanInputsThemes () {
      this.titleThemeSong = ''
      this.applyAllInterpreter = false
      this.interpreter = ''
      this.interpreterName = ''
      this.arrIterpreters = [{name: ''}]
      this.applyAllComposer = false
      this.arrComposer = [{name: ''}]
    }
  }
}
</script>